Support » Plugin: NextGEN Facebook » Fatal Error on Latest Update

  • Resolved rabmcnab

    (@rabmcnab)


    Latest update has brought sites down, typo;

    PHP message: PHP Parse error: syntax error, unexpected ‘(‘ in /REDACTED/wp-content/plugins/nextgen-facebook/lib/config.php on line 603

    Please fix and repush.

Viewing 7 replies - 1 through 7 (of 7 total)
  • I’ve looked into this, it’s was a caching issue on our end. Nothing changed in this code other than a version number bump.

    If any mod could delete this it’d be grand, the ticketing system won’t let me change the title.

    Thanks,

    Robbie

    • This reply was modified 2 years, 2 months ago by  rabmcnab.
    • This reply was modified 2 years, 2 months ago by  rabmcnab.
    Plugin Author JS Morisset

    (@jsmoriss)

    I suspect this error might be from an older PHP version? PHP v7.x appears to have no issue with the syntax. I’ve updated the syntax just in case, from $var = ( CONST * # ) (in a class static variable) to $var = ###.

    js.

    Ah, you suspect correctly. I’ve just checked that server and it’s running 5.5.32, so not even on the recommended minimum version. I will get that sorted.

    Thanks very much for the quick response.

    Robbie

    Definitely the PHP version. I had to roll back because of an outdated and unsupported theme that I cannot change right now, and only then did I get the error (I updated the plugin last night).

    Hi The latest update crashed my site as well yesterday.
    Together with a Domino Effect to rebuild.

    I’m running PHP 5.4.43.

    What’s the best ( easy ) method to update the PHP ?

    Through your hosting control panel – look for “PHP configuration” in cpanel or “Programming Languages” in GoDaddy dashboard

    Thanks jjanthony – that worked.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Fatal Error on Latest Update’ is closed to new replies.